#ifndef _CBUTTON_
#define _CBUTTON_

#include <QtGui>

class CButton : public QPushButton {
  Q_OBJECT
  private:
     bool ExistsMenu;
     QMenu * Menu;

  public:
    CButton(QWidget *wgt = 0);
    ~CButton();

    inline bool existsMenu(){
      return ExistsMenu;
    }
    inline QMenu* getMenu() {
      return Menu;
    }
    inline void includeMenu (QMenu* menu) {
      ExistsMenu = true;
      Menu = menu;
    }

  protected:
    virtual void mousePressEvent(QMouseEvent*);

};

#endif
