#ifndef _CVS_
#define _CVS_

#include <QtGui>
#include <QtNetwork>

class CCvs : public QObject {
  Q_OBJECT
  private:
    QHttp *LoaderUpdates;
    QBuffer *buffer;
    int B_VERSION;
    QString B_SERVER, B_LANGUAGE, B_PLATFORM;
    int uniqid;

  private slots:
    void startLoadingUpdates(int, bool);
    void finishLoadingUpdates(int, bool);
    void connectToServer();

  signals:
    void finishedUpdates(QBuffer*, bool);

  public:
    CCvs(QObject* obj = 0);
    void starting();
    inline QBuffer* getBuffer() { return buffer; }
    inline int getVersion() { return B_VERSION; }

};

#endif
