#ifndef _CLINE_EDIT_
#define _CLINE_EDIT_

#include <QtGui>

class CLineEdit : public QLineEdit {
  Q_OBJECT
  protected:
    virtual void focusOutEvent(QFocusEvent*);
    virtual void keyPressEvent(QKeyEvent*);
    virtual void mousePressEvent(QMouseEvent*);
    virtual void contextMenuEvent(QContextMenuEvent*);
    virtual void mouseWheelEvent(QWheelEvent*);
    virtual bool event(QEvent*);

  public:
    CLineEdit(QWidget *wgt = 0);

  signals:
    void endOfReturn();

};

#endif
