#ifndef _CMAIN_WIDGET_
#define _CMAIN_WIDGET_

#include <QtGui>
#include "Palette.h"

class MainWidget : public QWidget {
  Q_OBJECT
  private:
    int Width, Height;
    void readSettings();
    void writeSettings();
    bool Max;

  public:
    bool SaveSettings;

  protected:
    virtual void resizeEvent(QResizeEvent*);
    virtual void moveEvent(QMoveEvent*);

  public:
    MainWidget(QWidget *wgt = 0);
    ~MainWidget();

  signals:
    void newSize(QRect);

  public slots:
    void setBackColor(QColor);
    void setFontColor(QColor);

};

#endif
