#ifndef _CRESERVE_CACHE_
#define _CRESERVE_CACHE_

#include <QtGui>
#include <magic.h>

class ReserveCache {
  public:
    magic_t magic;

//             Mime-Types
    QVector<QString> globs;
    QVector<QString> mimetype;
    QVector<QString> shortmimetype;
    QVector<QString> description;
    QVector<QString> pclass;

    ReserveCache ();

    void getIndexIcon(QFileInfo*, QString *, int*, int*);

    inline void clear() {
      globs.clear();
      mimetype.clear();
      description.clear();
      pclass.clear();
      shortmimetype.clear();
    }

};

#endif
