#ifndef _STAT_
#define _STAT_

#include <QtCore>
#include <sys/statfs.h>
#include <sys/stat.h>
#include <unistd.h>
#include <sys/types.h>
#include <dirent.h>
#include <grp.h>

QBitArray intToBitArray(int, short countbit = 12);
int bitArrayToInt(QBitArray);
int countDir(QString);
void getFileInfoList(QString, QFileInfoList*);
void freeSpaceFrom(QString, quint64*, quint64*);         // 1 - total size, 2 - free space
void permissions(QString, QBitArray*, int*, int*, QBitArray* bitmask = NULL);
void setPermissions(QString, int, int owner = -1, int group = -1);
void setRecursivePermissions(QString, int, int owner = -1, int group = -1);
void setPermissionsForDirectory(QString, int, int owner = -1, int group = -1);
QString groupName(int);
int groupId (QString);
QBitArray fullBitMask(QString);

#endif
