#ifndef _CTHREAD_AREA_ICON_
#define _CTHREAD_AREA_ICON_

#include <QtGui>
#include "ReserveCache.h"
#include "Stat.h"

class CThreadAreaIcon : public QThread {
  Q_OBJECT
  private:
    int numElementsInString;
    ReserveCache *pxCache;
    bool link;
    QList<QFileInfo> listdrives;
    QList<QFileInfo> *fileinfolist;
    QBitArray * bitIcon;
    int *startElement, *endElement;
    int elemPosition;
    struct stat sb;

  public:
    QChar wgt;
    bool execute;
    CThreadAreaIcon(ReserveCache*, QList<QFileInfo> *);

    void setData ( QBitArray *, QChar, int *, int * );

    virtual void run();

  signals:
    void pixmapElement(int, int, int, bool);
    void pixmapElement(int, int, int, QString, QString, QString, bool);

};

#endif
