TEMPLATE	=  app

SOURCES	= ../Widgets/TreeViewer/TreeViewer.cpp \
                           ../Widgets/TreeViewer/TreeViewerSettings.cpp \
                           ../Widgets/TreeViewer/TreeViewerPanel.cpp \
                           ../Widgets/IconViewer/IconViewer.cpp \
                           ../Widgets/IconViewer/IconViewerPanelBase.cpp \
                           ../Widgets/IconViewer/IconViewerPanel.cpp \
                           ../Widgets/IconViewer/IconViewerNavigator.cpp \
                           ../Widgets/IconViewer/IconViewerMoving.cpp \
                           ../Widgets/TableViewer/TableViewer.cpp \
                           ../Widgets/PixmapsCache/PixmapsCache.cpp \
                           ../Widgets/PixmapsCache/XmlHandler.cpp \
                           ../Widgets/PixmapsCache/ReserveCache.cpp \
                           ../Widgets/IconViewer/IconViewerControl.cpp \
                           ../Widgets/IconViewer/IconViewerSettings.cpp \
                           ../Widgets/Menu/SettingsCache.cpp \
                           ../Widgets/MainWidget/MainWidget.cpp \
                           ../Widgets/ToolBar/ToolBar.cpp \
                           ../Widgets/Misc/Button.cpp \
                           ../Widgets/Misc/TextEdit.cpp \
                           ../Widgets/Misc/LineEdit.cpp \
                           ../Widgets/Misc/AnimateButton.cpp \
                           ../Widgets/Misc/MessageBox.cpp \
                           ../Widgets/Misc/Template.cpp \
                           ../Widgets/Misc/ThreadIcon.cpp \
                           ../Widgets/Misc/ThreadAreaIcon.cpp \
                           ../Widgets/ToolBar/PointSeparator.cpp \
                           ../Widgets/ToolBar/StatusBar.cpp \
                           ../Widgets/Splitter/Splitter.cpp \
                           ../Widgets/ThreadOp/ThreadOp.cpp \
                           ../Widgets/ThreadOp/ProgressW.cpp \
                           ../Widgets/ThreadOp/ThreadMonitor.cpp \
                           ../Widgets/Misc/WidgetManager.cpp \
                           ../Widgets/WebViewer/WebViewer.cpp \
                           ../Widgets/WebViewer/WebViewerTool.cpp \
                           ../Widgets/WebViewer/WebHistory.cpp \
                           ../Widgets/TextViewer/TextViewerTool.cpp \
                           ../Widgets/TextViewer/TextViewer.cpp \
                           ../Widgets/ImageViewer/ImageViewerTool.cpp \
                           ../Widgets/ImageViewer/ImageViewer.cpp \
                           ../Widgets/Misc/SelectApplication.cpp \
                           ../Widgets/Misc/WindowProperites.cpp \
                           ../Widgets/Misc/ExcludeEvents.cpp \
                           ../Widgets/Misc/Palette.cpp \
                           ../Widgets/Misc/Cvs.cpp \
                           ../Widgets/About/About.cpp \
                           ../Utilities/CleanKey/CleanKey.cpp \
                           ../System/SymLink.cpp \
                           ../System/Stat.cpp \
                           main.cpp

HEADERS  = ../Include/TreeViewer.h \
                         ../Include/TreeViewerSettings.h \
                         ../Include/TreeViewerPanel.h \
                         ../Include/IconViewer.h \
                         ../Include/TableViewer.h \
                         ../Include/IconViewerPanelBase.h \
                         ../Include/IconViewerPanel.h \
                         ../Include/IconViewerNavigator.h \
                         ../Include/IconViewerMoving.h \
                         ../Include/PixmapsCache.h \
                         ../Include/ReserveCache.h \
                         ../Include/IconViewerControl.h \
                         ../Include/IconViewerSettings.h \
                         ../Include/SettingsCache.h \
                         ../Include/MainWidget.h \
                         ../Include/ToolBar.h \
                         ../Include/PointSeparator.h \
                         ../Include/Splitter.h \
                         ../Include/Button.h \
                         ../Include/TextEdit.h \
                         ../Include/LineEdit.h \
                         ../Include/ThreadOp.h \
                         ../Include/AnimateButton.h \
                         ../Include/MessageBox.h \
                         ../Include/ThreadIcon.h \
                         ../Include/ThreadAreaIcon.h \
                         ../Include/WidgetManager.h \
                         ../Include/StatusBar.h \
                         ../Include/WebViewer.h \
                         ../Include/WebViewerTool.h \
                         ../Include/WebHistory.h \
                         ../Include/TextViewerTool.h \
                         ../Include/TextViewer.h \
                         ../Include/ImageViewerTool.h \
                         ../Include/SelectApplication.h \
                         ../Include/ImageViewer.h \
                         ../Include/WindowProperites.h \
                         ../Include/ExcludeEvents.h \
                         ../Include/Palette.h \
                         ../Include/About.h \
                         ../Include/Cvs.h \
                         ../Utilities/CleanKey/CleanKey.h \
                         ../Include/SymLink.h \
                         ../Include/Stat.h


RESOURCES  = ../Resources/IconViewer/IconViewer.qrc \
                               ../Resources/SettingsBar/SettingsBar.qrc \
                               ../Resources/Textures/Textures.qrc \
                               ../Resources/Menus/Menus.qrc \
                               ../Resources/MessageWindows/MessageWindows.qrc \
                               ../Resources/MainIc/MainIc.qrc \
                               ../Resources/Ru/bathyscaphe_ru.qrc

CONFIG += warn_on release

QT  += xml webkit svg network

LIBS = -lmagic

TARGET               =    ../bathyscaphe

win32:TARGET    = ../../bathyscaphe.exe

