#include "../Include/WidgetManager.h"


int main ( int argc, char** argv ) {
 QApplication  app ( argc, argv );
 QString file_ts;
 QTranslator *trans;
 QString lang = QLocale::system().name();
 lang = lang.split("_")[0];
 if ( lang == "ru" ) {
   trans = new QTranslator();
   trans->load(":/bathyscaphe_ru.qm");
   app.installTranslator(trans);
 }
 else {
   if ( lang != "en") {
     QString execname = QCoreApplication::applicationDirPath();
     file_ts = execname + QDir::separator() + "Languages" + QDir::separator() + "bathyscaphe_" + lang + ".qm";
    QFileInfo finf(file_ts);
     finf.setFile(file_ts);
     if ( finf.exists()) {
       trans = new QTranslator();
       trans->load(file_ts);
       app.installTranslator(trans);
     }
   }
 }
 WidgetManager MainWgt(argv);
 MainWgt.show();
 return app.exec();
}
