#include "../../Include/LineEdit.h"

CLineEdit :: CLineEdit(QWidget *wgt) : QLineEdit(wgt) {
}

void CLineEdit :: focusOutEvent(QFocusEvent *) {
  emit endOfReturn();
}

void CLineEdit :: keyPressEvent(QKeyEvent *ev) {
  if ( ev->key() == Qt::Key_Return) {
    emit endOfReturn();
    return;
  }
  else
    QLineEdit::keyPressEvent(ev);
}

void CLineEdit :: mousePressEvent(QMouseEvent * ev) {
  if ( ev->button() == Qt::RightButton) return;
  else QLineEdit::mousePressEvent(ev);
}

void CLineEdit :: mouseWheelEvent(QWheelEvent*) {
  emit endOfReturn();
  return;
}

void CLineEdit :: contextMenuEvent (QContextMenuEvent*) {
  return;
}

bool CLineEdit :: event(QEvent *ev) {
  if ( ev->type() != QEvent::FocusOut) return QLineEdit::event(ev);
  else return false;
}