#include "../../Include/TextEdit.h"

CTextEdit :: CTextEdit(QWidget *wgt) : QTextEdit(wgt) {
}

void CTextEdit :: focusOutEvent(QFocusEvent *) {
  emit endOfReturn();
}

void CTextEdit :: keyPressEvent(QKeyEvent *ev) {
  if ( ev->key() == Qt::Key_Return) {
    emit endOfReturn();
    return;
  }
  else
    QTextEdit::keyPressEvent(ev);
}

void CTextEdit :: mousePressEvent(QMouseEvent * ev) {
  if ( ev->button() == Qt::RightButton) return;
  else QTextEdit::mousePressEvent(ev);
}

void CTextEdit :: contextMenuEvent (QContextMenuEvent*) {
  return;
}
