#include "../../Include/Splitter.h"

CSplitter :: CSplitter(QWidget *wgt) : QSplitter(wgt){
  readSettings();
  SaveSettings = false;
  setContentsMargins(0,0,0,0);
}

void CSplitter :: readSettings(){
  QSettings settings;
  settings.beginGroup("/Splitter");
  QList<QVariant> list_var;
  list_var =  settings.value("/Sizes", 0).value<QList<QVariant> >();
  foreach ( QVariant v, list_var){
    States << v.toInt();
  }
  arr = settings.value("/Sizes2", 0).value<QByteArray>();
  settings.endGroup();
}

void CSplitter :: writeSettings(){
  if ( SaveSettings ) {
    QSettings settings;
    QList<QVariant> list_var;
    States = sizes();
    foreach ( int i, States ) {
      list_var << QVariant(i);
    }
    QVariant var(list_var);
    settings.beginGroup("/Splitter");
    settings.setValue("/Sizes", var);
    settings.setValue("/Sizes2", saveState());
    settings.endGroup();
  }
}

void CSplitter :: restoreSize(){
      if ( !States.isEmpty())
        setSizes(States);
      if (arr.isEmpty())
        restoreState(arr);
    }

CSplitter :: ~CSplitter(){
  writeSettings();
}
