#include "../../Include/PointSeparator.h"

CPointSeparator :: CPointSeparator(QWidget *wgt) : QWidget(wgt){
   setAutoFillBackground(true);
}

void CPointSeparator :: paintEvent (QPaintEvent*) {
   QPainter painter(this);
   painter.setRenderHint(QPainter::Antialiasing, true);
   painter.setBrush(QBrush(this->palette().color(QPalette::ButtonText), Qt::SolidPattern));
   QPolygon polygon;
   polygon << QPoint (0, this->height()/2 - 2)
                  << QPoint (0, this->height()/2 + 2)
                  << QPoint (4, this->height()/2);
   painter.drawPolygon (polygon);
}