#ifndef _IMAGE_VIEWER_TOOL_
#define _IMAGE_VIEWER_TOOL_

#include "ToolBar.h"
#include "PixmapsCache.h"

class CImageViewerTool : public CToolBar {
  Q_OBJECT
  private:
    PixmapsCache                   *pxCache;
    QString Directory;
  public:
    CButton                                *PreviousButton, *NextButton,
                                                   *RotateRightButton, *RotateLeftButton,
                                                   *CloneHorizontalButton, *CloneVerticalButton,
                                                   *NegativeButton, *ScaleViewportButton, *RefreshButton;
    QSlider *ScaleSlider;
    QLabel *LeftLabel, *RightLabel;

  public:
    CImageViewerTool(PixmapsCache*, QWidget *wgt = 0);

    void setDirectory(QString);
    void refreshTheme();

friend class CImageViewer;

};

#endif
