#ifndef _CTEXT_VIEWER_TOOL_
#define _CTEXT_VIEWER_TOOL_

#include <QtGui>
#include "PixmapsCache.h"
#include "ToolBar.h"
#include "Button.h"


class CTextViewerTool : public CToolBar {
  Q_OBJECT
  private:
    PixmapsCache *pxCache;
    bool DontEdit;

  public:
    CButton *DontEditButton, *SaveButton, *SaveAsButton,
                    *UndoButton, *RedoButton, *ScaleButtonPlus,
                    *ScaleButtonMinus, *RefreshButton;
    QLabel *StateLabel, *ScaleText;


  public:
    CTextViewerTool ( PixmapsCache *, QWidget *wgt = 0);

    void refreshTheme();
    void setFontSize();
    inline bool isDontEdit() {
      return DontEdit;
    }

friend class CTextViewer;

};

#endif
