#ifndef _CTHREAD_ICON_
#define _CTHREAD_ICON_

#include <QtGui>
#include "PixmapsCache.h"
#include "ThreadAreaIcon.h"

class CThreadIcon : public QThread {
  Q_OBJECT
  private:
    ReserveCache *pxCache;
    QBitArray *bitIcon;
    bool link;
    QList<QFileInfo> listdrives;
    QList<QFileInfo> *fileinfolist;
    CThreadAreaIcon *ThreadAreaIcon;
    struct stat sb;

  public:
    QChar wgt;
    bool execute;
    CThreadIcon(ReserveCache*, QList<QFileInfo> *);

    void setData(QBitArray*, QChar);

    virtual void run();

  signals:
    void pixmapElement(int, int, int, bool);
    void pixmapElement(int, int, int, QString, QString, QString, bool);
    void quitSubThread();

};

#endif
