#include "../../Include/IconViewerMoving.h"

CIconViewerMoving :: CIconViewerMoving ( QWidget *wgt ) : CToolBar (wgt) {
}

void CIconViewerMoving :: setPixmapsCache( PixmapsCache *cache) {
    pxCache = cache;
    clear();
    back_Button = addAction ( *(pxCache->getIcon(30)), tr("Back"));
    back_Button->setEnabled ( false );
    next_Button = addAction ( *(pxCache->getIcon(31)), tr("Forward"));
    next_Button->setEnabled(false);
    up_Button = addAction ( *(pxCache->getIcon(32)), tr("Up"));
    home_Button = addAction (*(pxCache->getIcon(34)), tr("Go to home catalog"));
    refresh_Button = addAction (*(pxCache->getIcon(33)), tr("Refresh"));
}

void CIconViewerMoving :: refreshTheme() {
  back_Button->setIcon( *(pxCache->getIcon(30)));
  next_Button->setIcon( *(pxCache->getIcon(31)));
  up_Button->setIcon( *(pxCache->getIcon(32)));
  home_Button->setIcon(*(pxCache->getIcon(34)));
  refresh_Button->setIcon(*(pxCache->getIcon(33)));
}
