#include "../../Include/SettingsCache.h"

SettingsCache :: SettingsCache(){
  QList<QString> lst, arg;
  lst <<  ":/blow_green.png"            <<
              ":/blue_gray_rough.png"            <<
              ":/blue_type.png"            <<
              ":/brushed_metal.png"            <<
              ":/bulging.png"            <<
              ":/burlap.png"            <<
              ":/canvas_blue.png"            <<
              ":/chalk.png"            <<
              ":/fibers.png"            <<
              ":/fluffy-grey.png"            <<
              ":/fluffy.png"            <<
              ":/fossil.png"            <<
              ":/fuzzy-blue.png"            <<
              ":/fuzzy-darkgrey.png"            <<
              ":/fuzzy-grey.png"            <<
              ":/fuzzy-lightgrey.png"            <<
              ":/fuzzy_light.png"            <<
              ":/green_weave.png"            <<
              ":/gregre.png"            <<
              ":/ice-blue.png"            <<
              ":/ice.png"            <<
              ":/imitation_leather.png"            <<
              ":/interstices.png"            <<
              ":/jeansblk.png"            <<
              ":/jeans.png"            <<
              ":/lino-green.png"            <<
              ":/manila_paper.png"            <<
              ":/moss_ridge.png"            <<
              ":/pink.png"            <<
              ":/purple_marble.png"            <<
              ":/purple.png"            <<
              ":/stone.png"            <<
              ":/wood.png";


  foreach ( QString str, lst ){
    TexturePixmaps << QPixmap(str);
    str.remove(":/");
    arg = str.split(".");
    TextureName << arg[0];
  }
  QString current = QApplication::applicationDirPath();
  QString current_dir = current + "/Share/Textures/";
  QDir dir(current_dir);
  QList<QFileInfo> fileinfolist = dir.entryInfoList( QDir::NoDotAndDotDot | QDir::Files );
  foreach ( QFileInfo fileinfo, fileinfolist) {
    TexturePixmaps << QPixmap(fileinfo.absoluteFilePath());
    TextureName << fileinfo.baseName();
  }

  current_dir = current + "/Share/Themes/";
  dir.setPath(current_dir);
  fileinfolist = dir.entryInfoList( QDir::Dirs | QDir::NoDotAndDotDot);
  foreach ( QFileInfo fileinfo, fileinfolist){
    if ( fileinfo.isDir()) Themes << fileinfo.fileName();
  }
}
