#include "../../Include/ExcludeEvents.h"

CExcludeEvents :: CExcludeEvents(int type, QObject *obj) : QObject(obj) {
  ExcludeEventsType << type;
}

CExcludeEvents :: CExcludeEvents(int type1, int type2, QObject *obj) : QObject(obj) {
  ExcludeEventsType << type1;
  ExcludeEventsType << type2;
}

CExcludeEvents :: CExcludeEvents(QVector<int> listtype, QObject *obj) : QObject(obj) {
  ExcludeEventsType = listtype;
}

void CExcludeEvents :: appendIgnore (int type) {
  ExcludeEventsType << type;
}

void CExcludeEvents :: appendIgnore(QVector<int> listtype) {
  ExcludeEventsType = ExcludeEventsType + listtype;
}

bool CExcludeEvents :: eventFilter(QObject*, QEvent *ev ) {
  int type = ev->type();
  return ExcludeEventsType.contains(type);
}
